package msoetestngdemo;

import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.AfterClass;

public class BloodPressureDiagnosisSystemTestInClassDemo {
  @BeforeClass
  public void beforeClass() {
	  System.out.println("Starting to test Blood Pressure diagnosis.");
  }

  @AfterClass
  public void afterClass() {
  System.out.println("Finished up testing BP Diagnosis.");
  }

  private BloodPressureDiagnosisSystem patient;
  

  @Test
  /**
   * This test will ensure that normal classes get constructed.
   */
  public void BloodPressureDiagnosisSystemValidConstructor() throws Exception {
	  patient = new BloodPressureDiagnosisSystem("Janet Tester", 0x18);
	  assert patient != null;
	  assert patient.getPatientName().equals("Janet Tester");
	  assert patient.getAge() == 0x18;
  }
  
  
  
  @DataProvider(name = "invalidConstructorTests")
  public static Object[][] createInvalidConstructorData()
  {
	  return new Object [][] {
			  {"Janice Tester", new Integer(-1)},
			  {"J Tester", new Integer(21)},
			  {"Ja T", new Integer(21)},
			  {"JaT", new Integer(21)}};
  }
  
  @Test(dataProvider = "invalidConstructorTests", expectedExceptions=Exception.class)
  public void testAbinormalConstructor(String name, int age) throws Exception
  {
	patient = new BloodPressureDiagnosisSystem(name, age);  
  }

  @Test
  public void diagnoseBP() {
    throw new RuntimeException("Test not implemented");
  }
}
